Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.spatialschema
Interface OrientablePrimitive

All Superinterfaces:
  Geometry, Primitive, Serializable

All Known Subinterfaces:
  CompositeCurve, CompositeSurface, Curve, OrientableCurve, OrientableSurface, Ring, Shell, Surface

All Known Implementing Classes:
  CurveImpl, OrientableCurveImpl, OrientablePrimitiveImpl, OrientableSurfaceImpl, RingImpl, SurfaceImpl

    public interface OrientablePrimitive

extends Primitive

The basic interface for orientated two dimensional geometries.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary

Fields inherited from interface org.deegree.model.spatialschema.Geometry
`BUFFER_CAP_BUTT, BUFFER_CAP_ROUND, BUFFER_CAP_SQUARE`

Method Summary
`char` | `getOrientation()` returns the orientation of a curve
`void` | `setOrientation(char orientation)` sets the curves orientation

Methods inherited from interface org.deegree.model.spatialschema.Geometry
`contains, contains, difference, distance, getBoundary, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateDimension, getCoordinateSystem, getDimension, getEnvelope, getTolerance, intersection, intersects, isEmpty, isWithinDistance, setTolerance, translate, union`

Method Detail

### getOrientation

    char getOrientation()

  returns the orientation of a curve

  Returns:
    curve orientation ('+'|'-')

### setOrientation

    void setOrientation(char orientation)
                        throws GeometryException

  sets the curves orientation

  Parameters:
    `orientation` - orientation of the curve ('+'|'-')
  Throws:
    `GeometryException` - will be thrown if orientation is invalid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org